Name:           vanityhash  
Version:        1.1
Release:        11%{?dist}
Summary:        Hexadecimal hash fragment creation tool
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.finnie.org/software/%{name}/
Source0:        %{url}%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl    
BuildRequires:  perl-generators
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Digest::MD2)
Requires:       perl(Digest::MD4)
Requires:       perl(Digest::MD5)
Requires:       perl(Digest::SHA)
Requires:       perl(Digest::CRC)

%description
This is a tool that can discover data to be added to the end of a file to
produce a desired hexadecimal hash fragment.  It searches a message space and
runs a hashing algorithm against the original data plus the appended data to
determine if the desired hash fragment is present.  vanityhash can run
multiple parallel workers to effectively make use of multiple processors/cores/
threads, and supports multiple hash digest types (MD5, SHA-1, SHA-256, etc).

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.1-11
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.1-9
- Perl 5.24 rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.1-6
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.1-5
- Perl 5.20 rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.1-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Petr Pisar <ppisar@redhat.com> - 1.1-1
- Version 1.1 packaged


